% Search for x such that log(F(x))-log(p)=0.

function [x] = newton_raphson(x0,p,alpha,beta,nu,tau)

[G] = cdf_NL(alpha,beta,nu,tau,log(x0)); 
[g] = pdf_NL(alpha,beta,nu,tau,log(x0))./x0;
x = (G.*abs(log(p) - log(G)) + x0.*g)./g;

