function [nu,tau]= nutau(z,m,k,a,b)
%
% Generate nu,tau given a sample z_i ~ N(nu,tau) 
% nu|tau ~ N(m,tau/sqrt(k))
% invtau ~ Ga(a/2,b/2) donde invtau = 1/tau^2.
%
zbar = mean(z);
s2 = var(z);
n = length(z);
if a==0
    apost = a+n-1;
else
    apost = a+n;
end
bpost = b + (n-1)*s2 + (k*n/(k+n))*((zbar-m)^2);
meanz = (k*m+n*zbar)/(k+n);
invtau = gamrnd(apost/2,2/bpost);
tau = 1/sqrt(invtau);
nu = normrnd((k*m+n*zbar)/(k+n),tau/sqrt(k+n));