function [Y] = simulation(alpha,beta,nu,tau,n)
% Simulate data from a Normal Laplace distribution.
% 
% INPUT alpha,beta,nu,tau = parameters of the model
%       n = sample size
%
% OUTPUT Y = generated values from a NL(alpha,beta,nu,tau), then exp(Y) are
%            values from a dPNL(alpha,beta,nu,tau)
%
Y = zeros(1,n);
Y = nu+tau*normrnd(0,1,1,n) + (1/alpha)*exprnd(1,1,n) - ...
    (1/beta)*exprnd(1,1,n); 

